# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::LoadWriterPNG Class Reference

The LoadWriterPNG class is a ResourceLoadWriter capable of reading PNG files. More...

`#include <ioPNG.hpp>`

Inheritance diagram for vl::LoadWriterPNG:

List of all members.

## Public Member Functions

| LoadWriterPNG ()
ref< ResourceDatabase > | loadResource (const String &path) const
ref< ResourceDatabase > | loadResource (VirtualFile *file) const
bool | writeResource (const String &path, ResourceDatabase *resource) const
bool | writeResource (VirtualFile *file, ResourceDatabase *resource) const
int | compression () const
void | setCompression (int compression)
| Sets the compression level used when saving a file. Should be between 0 and 9.

## Protected Attributes

int | mCompression

## Detailed Description

The LoadWriterPNG class is a ResourceLoadWriter capable of reading PNG files.

Definition at line 57 of file ioPNG.hpp.

## Constructor & Destructor Documentation

vl::LoadWriterPNG::LoadWriterPNG | ( | ) | `[inline]`

Definition at line 62 of file ioPNG.hpp.

References VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

ref<ResourceDatabase> vl::LoadWriterPNG::loadResource | ( | const String & | path ) | const`[inline, virtual]`

Implements vl::ResourceLoadWriter.

Definition at line 67 of file ioPNG.hpp.

References vl::loadPNG().

ref<ResourceDatabase> vl::LoadWriterPNG::loadResource | ( | VirtualFile * | file ) | const`[inline, virtual]`

Implements vl::ResourceLoadWriter.

Definition at line 76 of file ioPNG.hpp.

References vl::loadPNG().

bool vl::LoadWriterPNG::writeResource | ( | const String & | path,
|  | ResourceDatabase * | resource
| ) |  | const`[inline, virtual]`

Implements vl::ResourceLoadWriter.

Definition at line 85 of file ioPNG.hpp.

References compression(), vl::ResourceDatabase::count(), vl::ResourceDatabase::get(), and vl::savePNG().

bool vl::LoadWriterPNG::writeResource | ( | VirtualFile * | file,
|  | ResourceDatabase * | resource
| ) |  | const`[inline, virtual]`

Implements vl::ResourceLoadWriter.

Definition at line 93 of file ioPNG.hpp.

References compression(), vl::ResourceDatabase::count(), vl::ResourceDatabase::get(), and vl::savePNG().

int vl::LoadWriterPNG::compression | ( | ) | const`[inline]`

Definition at line 101 of file ioPNG.hpp.

References mCompression.

Referenced by setCompression(), and writeResource().

void vl::LoadWriterPNG::setCompression | ( | int | compression ) | `[inline]`

Sets the compression level used when saving a file. Should be between 0 and 9.

Definition at line 103 of file ioPNG.hpp.

References compression(), and mCompression.

## Member Data Documentation

int vl::LoadWriterPNG::mCompression`[protected]`

Definition at line 106 of file ioPNG.hpp.

Referenced by compression(), and setCompression().

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/plugins/ioPNG.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:14.
Permission is granted to use this page to write and publish articles regarding Visualization Library.